
@import "../base/variable.scss";
@import "../base/mixins.scss";

.dashboard_section {
    .dashboard_inner {
        .right_side_wrap {
            .heading_area{
                @include clearfix();
                .left{
                    float:left;
                }
                .right{
                    float:right;
                    padding-right: 50px;
                    .search_input_with_btn {
                        float: left;
                        .form-group {
                            position: relative;
                            .form-control {
                                border-radius: 60px;
                                font-size: 14px;
                                color: $black;
                                padding-right: 45px;
                            }
                            .input-group-append {
                                position: absolute;
                                right: 0;
                                top: 0;
                                padding-top: 10px;
                                padding-right: 20px;
                                a{
                                    i{
                                        color: $black;
                                    }
                                }
                            }
                        }
                    }
                    .filter {
                        float: left;
                        padding-left: 20px;
                        a{
                            i {
                            width: 40px;
                            height: 40px;
                            line-height: 40px;
                            display: block;
                            border-radius: 50%;
                            background-color: $primary-color;
                            color: $white;
                            text-align: center;
                            }
                        }
                        ul{
                            li{
                                .dropdown-toggle{
                                    &::after{
                                        content: none;
                                    }
                                }
                                .dropdown-menu {
                                    min-width: 500px;
                                    padding-top: 20px !important;
                                    padding: 0 20px;
                                    transform: none !important;
                                    left: unset !important;
                                    right: 0 !important;
                                    top: 100% !important;
                                    padding-bottom: 20px !important;
                                    border: none;
                                    border-radius: 20px;
                                    box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;
                                    .form-group{
                                        position: relative;
                                        border-radius: 20px;
                                        .form-select{
                                            padding-left: 30px;
                                        }
                                        .input-group{
                                            background-color: $input;
                                            position: relative;
                                            border-radius: 20px;
                                            .form-control{
                                                position: relative;
                                                border-radius: 20px;
                                                background-color: $input;
                                            }
                                            .datepicker{
                                                &.dropdown-menu {
                                                    min-width: 248px !important;
                                                    padding: 0;
                                                }
                                            }
                                            .icon {
                                                position: absolute;
                                                right: 11px;
                                                padding-top: 11px;
                                                z-index: 99;
                                            }
                                        }
                                    }
                                    .sbt {
                                        float: right;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            .transaction {
                padding: 30px;
                &.my_order {
                    .table_row_area {
                        table {
                            thead {
                                tr {
                                    th {
                                        width: 16.6%;
                                        font-weight: 500;
                                    }
                                }
                            }
                        }
                    }
                }
                .table_row_area {
                    table {
                        border-spacing: 0 23px;
                        border-collapse: separate;
                        margin: 20px auto;

                        thead {
                            border: none;
                            margin-bottom: 20px;

                            tr {
                                color: $white;
                                font-size: 16px;
                                font-weight: 500;
                                line-height: 20px;
                                text-align: center;
                                border: none;

                                th {
                                    position: sticky;
                                    top: -3px;
                                    background-color: $primary_color;
                                    z-index: 99;
                                    border: none;
                                    font-weight: 600;
                                    overflow: hidden;
                                    width: 20%;
                                    padding: 20px 0;
                                    border: none;
                                    font-weight: 500;

                                    &:first-child {
                                        border-radius: 15px;
                                        border-top-right-radius: 0;
                                        border-bottom-right-radius: 0;
                                    }

                                    &:last-child {
                                        border-radius: 15px;
                                        border-top-left-radius: 0;
                                        border-bottom-left-radius: 0;
                                    }
                                }
                            }
                        }

                        tbody {
                            border: none;
                            tr {
                                border-bottom-width: 0;

                                td {
                                    font-size: 14px;
                                    font-weight: 500;
                                    background-color: $breadcame;
                                    text-align: center;
                                    margin-bottom: 20px;
                                    padding: 20px 0;
                                    border: none;
                                    .deactivate{
                                        color: $offfspra2;
                                    }
                                    @include clearfix();

                                    &:first-child {
                                        border-radius: 15px;
                                        border-top-right-radius: 0;
                                        border-bottom-right-radius: 0;
                                    }

                                    &:last-child {
                                        border-radius: 15px;
                                        border-top-left-radius: 0;
                                        border-bottom-left-radius: 0;
                                    }

                                    a {
                                        color: $primary_color;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}



/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

@media (min-width: 1200px) and (max-width: 1399px){
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .dashboard_section {
        .dashboard_inner {
            .right_side_wrap {
                .transaction {
                    padding: 15px;
                    .table_row_area {
                        table {
                            margin: 10px auto;
                            thead{
                                tr{
                                    th{
                                        white-space: nowrap;
                                        padding: 20px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .dashboard_section {
        .dashboard_inner {
            .right_side_wrap {
                .heading_area{
                    .left{
                        h2{
                            font-size: 31px;
                        }
                    }
                    .right {
                        padding-right: 3px;
                    }
                }
                .transaction {
                    padding: 15px;
                    .table_row_area {
                        table {
                            margin: 10px auto;
                            thead{
                                tr{
                                    th{
                                        white-space: nowrap;
                                        padding: 20px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .dashboard_section {
        .dashboard_inner {
            .right_side_wrap {
                .transaction {
                    padding: 11px;
                    .table_row_area {
                        table {
                            margin: 10px auto;
                            thead{
                                tr{
                                    th{
                                        white-space: nowrap;
                                        padding: 15px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    
    
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .dashboard_section {
        .dashboard_inner {
            .right_side_wrap {
                .heading_area{
                    .left{
                        h2{
                            font-size: 33px;
                        }
                    }
                    .right {
                        padding-right: 3px;
                        float: left;
                        padding-top: 20px;
                        width: 100%;
                        .filter{
                            float: right;
                            ul{
                                li{
                                    .dropdown-menu{
                                        min-width: 355px;
                                    }
                                }
                            }
                        }
                    }
                }
                .transaction {
                    padding: 12px;
                    .table_row_area {
                        table {
                            margin: 10px auto;
                            thead{
                                tr{
                                    th{
                                        white-space: nowrap;
                                        padding: 20px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
 }

/* Smaller phones */
@media (max-width: 360px) {
    .dashboard_section {
        .dashboard_inner {
            .right_side_wrap {
                .heading_area{
                    .left{
                        h2{
                            font-size: 33px;
                        }
                    }
                    .right {
                        padding-right: 3px;
                        float: left;
                        padding-top: 20px;
                        width: 100%;
                        .filter{
                            float: right;
                            ul{
                                li{
                                    .dropdown-menu{
                                        min-width: 306px;
                                    }
                                }
                            }
                        }
                    }
                }
                .transaction {
                    padding: 12px;
                    .table_row_area {
                        table {
                            margin: 10px auto;
                            thead{
                                tr{
                                    th{
                                        white-space: nowrap;
                                        padding: 20px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}